[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPCustomHashTable.NumberOfCollisions

Number of extra items

## Declaration

Source position: contnrs.pp line 399

`public property TFPCustomHashTable.NumberOfCollisions : LongWord read GetNumberOfCollisions;`

## Description

NumberOfCollisions is the number of items which are not the first item in a chain. If this number is too big, the hash size may be too small.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.LoadFactor |  | Fraction of count versus size
TFPCustomHashTable.AVGChainLen |  | Average chain length
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots